View Issue Details

IDProjectCategoryView StatusLast Update
0007209OXID eShop (all versions)4.12. Subshop handlingpublic2021-02-22 08:49
ReporterQA 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0007209: Update EE 6.1.X to EE 6.2.3 with subshops and differently activated modules
DescriptionHi there,

an EE-Shop with subshops cannot be updated without failures.
I stick hereby to this document:
https://docs.oxid-esales.com/eshop/de/6.2/installation/update/von-6.1.x-auf-6.2.0-aktualisieren.html

Best regards.

QA - SG -
Steps To Reproduce1. Install a fresh 6.1.X
2. Setup subshops additionally activate some modules in subshops
3. Change as described in docs the composer.json:
"require": {
    "oxid-esales/oxideshop-metapackage-ee": "v6.2.3"
  },
  "require-dev": {
    "oxid-esales/testing-library": "^v7.1.1",
    "incenteev/composer-parameter-handler": "^v2.0.0",
    "oxid-esales/oxideshop-ide-helper": "^v4.0.0",
    "oxid-esales/azure-theme": "^v1.4.2"
  }

4. follow steps according to docs

5. backend change from main-shop to an subshop
failure msg- in log statrts with:
OXID Logger.ERROR: ShopId 2 does not exist ["[object] (OxidEsales\\EshopCommunity\\Internal\\Framework\\Module\\Configuration\\Exception\\ShopConfigurationNotFoundException(code: 0):
ShopId 2 does not exist at
TagsNo tags attached.
ThemeNot defined
BrowserNot defined
PHP VersionNot defined
Database VersionNot defined

Activities

QA

2021-02-17 14:01

administrator   ~0013380

Hi there,

you should first update from 6.1.X to 6.2.0 and then to other versions.

Best Regards

QA - SG -